Numeric Errors

Affecting cups package, versions <1.5.0-16

Report new vulnerabilities
Do your applications use this vulnerable package? Test your applications

Overview

Multiple integer overflows in (1) OPVPOutputDev.cxx and (2) oprs/OPVPSplash.cxx in the pdftoopvp filter in CUPS and cups-filters before 1.0.47 allow remote attackers to execute arbitrary code via a crafted PDF file, which triggers a heap-based buffer overflow.

References

CVSS Score

6.3
medium severity
  • Attack Vector
    Network
  • Attack Complexity
    Low
  • Privileges Required
    None
  • User Interaction
    Required
  • Scope
    Unchanged
  • Confidentiality
    Low
  • Integrity
    Low
  • Availability
    Low
CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:L/I:L/A:L
CVE
CVE-2013-6475
CWE
CWE-189
Snyk ID
SNYK-DEBIAN8-CUPS-364723
Disclosed
14 Mar, 2014
Published
14 Mar, 2014